const path = require('path'), fs = require('fs');
var exampledir = path.resolve(__dirname, './examples/components')
const easydir = require('easydir');


let comps = easydir.readir.read(exampledir)


comps.forEach(com => {
    if (com.type == '_dir') {
        // fs.renameSync(com.path + path.sep + 'index.js', com.path + path.sep + 'index2.js')
        let txt = `import entry from './${com.name}.vue'
        entry.el = '#root'
        export default new Vue(entry)`
        fs.writeFileSync(com.path + path.sep + 'index.js', txt)
    }
})